{ config, pkgs, lib, ... }:

{
  imports =
    [
      ../../base.nix
      # ./hardware-configuration.nix
      ./desktop
  ];

  networking = {
    interfaces.eno1 = {
      useDHCP = true;
      ipv6.addresses = [
        { address = "2001:700:300:22::15"; prefixLength = 64; }
      ];
    };

    hostName = "felixalbpc";
    nameservers = [ "129.241.0.200" "129.241.0.201" "2001:700:300::200" "2001:700:300::201" ];
    domain = "it.ntnu.no";
    hostId = "f458d6aa";
  };

  console.keyMap = "no";

  users.users.felixalb = {
    uid = 1328256;
    extraGroups = [ "wheel" ];
    openssh.authorizedKeys.keys = [ ];
  };

  system.stateVersion = "24.05";
}

